#
# spec file for package mgr-cfg
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2008-2018 Red Hat, Inc.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# package renaming fun :(
%define rhn_client_tools spacewalk-client-tools
%define rhn_setup	 spacewalk-client-setup
%define rhn_check	 spacewalk-check
%define rhnsd		 mgr-daemon
# Old name and version+1 before renaming to mgr-cfg
%define oldname          rhncfg
%define oldversion       5.10.123
#
%global rhnroot %{_datadir}/rhn
%global rhnconf %{_sysconfdir}/sysconfig/rhn
%global client_caps_dir %{rhnconf}/clientCaps.d

%if 0%{?fedora} || 0%{?suse_version} > 1320 || 0%{?rhel} >= 8
%global build_py3   1
%global default_py3 1
%global __python /usr/bin/python2 
%endif

%if ( 0%{?fedora} && 0%{?fedora} < 28 ) || ( 0%{?rhel} && 0%{?rhel} < 8 ) || 0%{?suse_version} || 0%{?ubuntu} || 0%{?debian}
%global build_py2   1
%endif

# ------------------------------- Python macros for debian ----------------------------------------
%{!?__python2:%global __python2 /usr/bin/python2}
%{!?__python3:%global __python3 /usr/bin/python3}

%if %{undefined python2_version}
%global python2_version %(%{__python2} -Esc "import sys; sys.stdout.write('{0.major}.{0.minor}'.format(sys.version_info))")
%endif

%if %{undefined python3_version}
%global python3_version %(%{__python3} -Ic "import sys; sys.stdout.write(sys.version[:3])")
%endif

%if %{undefined python2_sitelib}
%global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
%endif

%if %{undefined python3_sitelib}
%global python3_sitelib %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
%endif
# --------------------------- End Python macros for debian ----------------------------------------

%define pythonX %{?default_py3: python3}%{!?default_py3: python2}

%if "%{_vendor}" == "debbuild"
# Bash constructs in scriptlets don't play nice with Debian's default shell, dash
%global _buildshell /bin/bash
%endif

Name:           mgr-cfg
Version:        4.2.2
Provides:       %{oldname} = %{oldversion}
Obsoletes:      %{oldname} < %{oldversion}
Release:    1.15.1
Summary:        Spacewalk Configuration Client Libraries
License:        GPL-2.0-only
%if "%{_vendor}" == "debbuild"
Group:      admin
Packager:   Uyuni Project <uyuni-devel@opensuse.org>
%else
Group:          Applications/System
%endif
Url:            https://github.com/uyuni-project/uyuni
Source0: mgr-cfg-git-0.2eb37f0.tar.gz
Source1:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?fedora} || 0%{?rhel} || 0%{?suse_version} >= 1210
BuildArch:      noarch
%endif
BuildRequires:  docbook-utils
Requires:       %{pythonX}-%{name} = %{version}-%{release}

%if "%{_vendor}" != "debbuild"
%if 0%{?suse_version}
# provide rhn directories and no selinux on suse
BuildRequires:  spacewalk-client-tools
%if %{?suse_version} >= 1110
# Only on SLES11
Requires:       python-selinux
%endif
%else
Requires:       libselinux-python
%endif
%endif

%if "%{_vendor}" == "debbuild"
%if 0%{?build_py2}
Requires: python-selinux
%endif
%if 0%{?build_py3}
Requires: python3-selinux
%endif
%endif


%description
The base libraries and functions needed by all mgr-cfg-* packages.

%if 0%{?build_py2}
%package -n python2-%{name}
Summary:        Spacewalk Configuration Client Libraries
Group:          Applications/System
Provides:       python-%{name} = %{oldversion}
Obsoletes:      python-%{name} < %{oldversion}
Provides:       python2-%{oldname} = %{oldversion}
Obsoletes:      python2-%{oldname} < %{oldversion}
Requires:       %{name} = %{version}-%{release}
Requires:       python2-rhn-client-tools >= 2.8.4
Requires:       rhnlib >= 2.8.3
Requires:       python2-uyuni-common-libs
%if 0%{?rhel} && 0%{?rhel} <= 5
Requires:       python-hashlib
%endif
%if 0%{?rhel} >= 8
Requires:       python2
BuildRequires:  python2
%else
Requires:       python < 3
BuildRequires:  python < 3
%endif

%if "%{_vendor}" == "debbuild"
# For scriptlets
Requires(preun): python-minimal
Requires(post): python-minimal
%endif

%description -n python2-%{name}
Python 2 specific files for %{name}.
%endif

%if 0%{?build_py3}
%package -n python3-%{name}
Summary:        Spacewalk Configuration Client Libraries
Group:          Applications/System
Requires:       %{name} = %{version}-%{release}
Provides:       python3-%{oldname} = %{oldversion}
Obsoletes:      python3-%{oldname} < %{oldversion}
Requires:       python3
Requires:       python3-rhn-client-tools >= 2.8.4
Requires:       python3-rhnlib >= 2.8.3
Requires:       python3-uyuni-common-libs
BuildRequires:  python3
%if "%{_vendor}" != "debbuild"
BuildRequires:  python3-rpm-macros
%endif
%if "%{_vendor}" == "debbuild"
# For scriptlets
Requires(preun): python3-minimal
Requires(post): python3-minimal
%endif

%description -n python3-%{name}
Python 3 specific files for %{name}.
%endif

%package client
Summary:        Spacewalk Configuration Client
Group:          Applications/System
Provides:       %{oldname}-client = %{oldversion}
Obsoletes:      %{oldname}-client < %{oldversion}
Requires:       %{name} = %{version}-%{release}
Requires:       %{pythonX}-%{name}-client = %{version}-%{release}

%description client
A command line interface to the client features of the Spacewalk Configuration
Management system.

%if 0%{?build_py2}
%package -n python2-%{name}-client
Summary:        Spacewalk Configuration Client
Group:          Applications/System
Provides:       python-%{name}-client = %{oldversion}
Obsoletes:      python-%{name}-client < %{oldversion}
Provides:       python2-%{oldname}-client = %{oldversion}
Obsoletes:      python2-%{oldname}-client < %{oldversion}
Requires:       %{name}-client = %{version}-%{release}
%if "%{_vendor}" == "debbuild"
# For scriptlets
Requires(preun): python-minimal
Requires(post): python-minimal
%endif

%description -n python2-%{name}-client
Python 2 specific files for %{name}-client.
%endif

%if 0%{?build_py3}
%package -n python3-%{name}-client
Summary:        Spacewalk Configuration Client
Group:          Applications/System
Provides:       python3-%{oldname}-client = %{oldversion}
Obsoletes:      python3-%{oldname}-client < %{oldversion}
Requires:       %{name}-client = %{version}-%{release}
%if "%{_vendor}" == "debbuild"
# For scriptlets
Requires(preun): python3-minimal
Requires(post): python3-minimal
%endif

%description -n python3-%{name}-client
Python 3 specific files for %{name}-client.
%endif

%package management
Summary:        Spacewalk Configuration Management Client
Group:          Applications/System
Provides:       %{oldname}-management = %{oldversion}
Obsoletes:      %{oldname}-management < %{oldversion}
Requires:       %{name} = %{version}-%{release}
Requires:       %{pythonX}-%{name}-management = %{version}-%{release}

%description management
A command line interface used to manage Spacewalk configuration.

%if 0%{?build_py2}
%package -n python2-%{name}-management
Summary:        Spacewalk Configuration Management Client
Group:          Applications/System
Provides:       python-%{name}-management = %{oldversion}
Obsoletes:      python-%{name}-management < %{oldversion}
Provides:       python2-%{oldname}-management = %{oldversion}
Obsoletes:      python2-%{oldname}-management < %{oldversion}
Requires:       %{name}-management = %{version}-%{release}
%if "%{_vendor}" == "debbuild"
# For scriptlets
Requires(preun): python-minimal
Requires(post): python-minimal
%endif

%description -n python2-%{name}-management
Python 2 specific files for python2-%{name}-management.
%endif

%if 0%{?build_py3}
%package -n python3-%{name}-management
Summary:        Spacewalk Configuration Management Client
Group:          Applications/System
Provides:       python3-%{oldname}-management = %{oldversion}
Obsoletes:      python3-%{oldname}-management < %{oldversion}
Requires:       %{name}-management = %{version}-%{release}
%if "%{_vendor}" == "debbuild"
# For scriptlets
Requires(preun): python3-minimal
Requires(post): python3-minimal
%endif

%description -n python3-%{name}-management
Python 2 specific files for python3-%{name}-management.
%endif

%package actions
Summary:        Spacewalk Configuration Client Actions
Group:          Applications/System
Provides:       %{oldname}-actions = %{oldversion}
Obsoletes:      %{oldname}-actions < %{oldversion}
Requires:       %{name} = %{version}-%{release}
Requires:       %{pythonX}-%{name}-actions = %{version}-%{release}

%description actions
The code required to run configuration actions scheduled via Spacewalk.

%if 0%{?build_py2}
%package -n python2-%{name}-actions
Summary:        Spacewalk Configuration Client Actions
Group:          Applications/System
Provides:       python-%{name}-actions = %{oldversion}
Obsoletes:      python-%{name}-actions < %{oldversion}
Provides:       python2-%{oldname}-actions = %{oldversion}
Obsoletes:      python2-%{oldname}-actions < %{oldversion}
Requires:       %{name}-actions = %{version}-%{release}
Requires:       python2-%{name}-client
%if "%{_vendor}" == "debbuild"
# For scriptlets
Requires(preun): python-minimal
Requires(post): python-minimal
%endif

%description -n python2-%{name}-actions
Python 2 specific files for python2-%{name}-actions.
%endif

%if 0%{?build_py3}
%package -n python3-%{name}-actions
Summary:        Spacewalk Configuration Client Actions
Group:          Applications/System
Provides:       python3-%{oldname}-actions = %{oldversion}
Obsoletes:      python3-%{oldname}-actions < %{oldversion}
Requires:       %{name}-actions = %{version}-%{release}
Requires:       python3-%{name}-client
%if "%{_vendor}" == "debbuild"
# For scriptlets
Requires(preun): python3-minimal
Requires(post): python3-minimal
%endif

%description -n python3-%{name}-actions
Python 3 specific files for python2-%{name}-actions.
%endif

%prep
%setup -q -n mgr-cfg-git-0.2eb37f0

%build
make -f Makefile.rhncfg all

%install
install -d $RPM_BUILD_ROOT/%{python_sitelib}
%if 0%{?build_py2}
make -f Makefile.rhncfg install PREFIX=$RPM_BUILD_ROOT ROOT=%{python_sitelib} \
    MANDIR=%{_mandir} PYTHONVERSION=%{python_version}
%endif
%if 0%{?build_py3}
    install -d $RPM_BUILD_ROOT/%{python3_sitelib}
    sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|' config_*/*.py actions/*.py
    make -f Makefile.rhncfg install PREFIX=$RPM_BUILD_ROOT ROOT=%{python3_sitelib} \
        MANDIR=%{_mandir} PYTHONVERSION=%{python3_version}
%endif
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/spool/rhn
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/log
touch $RPM_BUILD_ROOT/%{_localstatedir}/log/rhncfg-actions

# create links to default script version
%define default_suffix %{?default_py3:-%{python3_version}}%{!?default_py3:-%{python_version}}
for i in \
    /usr/bin/rhncfg-client \
    /usr/bin/rhncfg-manager \
    /usr/bin/rhn-actions-control \
; do
    ln -s $(basename "$i")%{default_suffix} "$RPM_BUILD_ROOT$i"
done

ln -s rhncfg-manager $RPM_BUILD_ROOT/%{_bindir}/mgrcfg-manager
ln -s rhncfg-client $RPM_BUILD_ROOT/%{_bindir}/mgrcfg-client
ln -s rhn-actions-control $RPM_BUILD_ROOT/%{_bindir}/mgr-actions-control

pushd $RPM_BUILD_ROOT/%{_mandir}/man8
for f in *.8*; do
  echo ".so ${f/.gz}" | gzip > ${f/rhn/mgr}
done
popd

%if 0%{?suse_version}
%if 0%{?build_py2}
%py_compile -O %{buildroot}/%{python_sitelib}
%endif
%if 0%{?build_py3}
%py3_compile -O %{buildroot}/%{python3_sitelib}
%endif
%endif

%post
if [ -f %{_localstatedir}/log/rhncfg-actions ]
then 
chown root %{_localstatedir}/log/rhncfg-actions
chmod 600 %{_localstatedir}/log/rhncfg-actions
fi

%if "%{_vendor}" == "debbuild"
# Debian requires:
# post: Do bytecompilation after install
# preun: Remove any *.py[co] files

%if 0%{?build_py2}
%post -n python2-%{name}
pycompile python2-%{name} -V -3.0

%preun -n python2-%{name}
pyclean -p python2-%{name}

%post -n python2-%{name}-client
pycompile python2-%{name}-client -V -3.0

%preun -n python2-%{name}-client
pyclean -p python2-%{name}-client

%post -n python2-%{name}-management
pycompile python2-%{name}-management -V -3.0

%preun -n python2-%{name}-management
pyclean -p python2-%{name}-management

%post -n python2-%{name}-actions
pycompile python2-%{name}-actions -V -3.0

%preun -n python2-%{name}-actions
pyclean -p python2-%{name}-actions
%endif

%if 0%{?build_py3}
%post -n python3-%{name}
py3compile python3-%{name} -V -4.0

%preun -n python3-%{name}
py3clean -p python3-%{name}

%post -n python3-%{name}-client
py3compile python3-%{name}-client -V -4.0

%preun -n python3-%{name}-client
py3clean -p python3-%{name}-client

%post -n python3-%{name}-management
py3compile python3-%{name}-management -V -4.0

%preun -n python3-%{name}-management
py3clean -p python3-%{name}-management

%post -n python3-%{name}-actions
py3compile python3-%{name}-actions -V -4.0

%preun -n python3-%{name}-actions
py3clean -p python3-%{name}-actions
%endif
%endif


%files
%defattr(-,root,root,-)
%dir %{_localstatedir}/spool/rhn
%doc LICENSE

%if 0%{?build_py2}
%files -n python2-%{name}
%defattr(-,root,root,-)
%{python_sitelib}/config_common
%endif

%if 0%{?build_py3}
%files -n python3-%{name}
%defattr(-,root,root,-)
%{python3_sitelib}/config_common
%endif

%files client
%defattr(-,root,root,-)
%{_bindir}/rhncfg-client
%{_bindir}/mgrcfg-client
%attr(644,root,root) %config(noreplace) %{rhnconf}/rhncfg-client.conf
%{_mandir}/man8/rhncfg-client.8*
%{_mandir}/man8/mgrcfg-client.8*

%if 0%{?build_py2}
%files -n python2-%{name}-client
%defattr(-,root,root,-)
%{python_sitelib}/config_client
%{_bindir}/rhncfg-client-%{python_version}
%endif

%if 0%{?build_py3}
%files -n python3-%{name}-client
%defattr(-,root,root,-)
%{python3_sitelib}/config_client
%{_bindir}/rhncfg-client-%{python3_version}
%endif

%files management
%defattr(-,root,root,-)
%{_bindir}/mgrcfg-manager
%{_bindir}/rhncfg-manager
%attr(644,root,root) %config(noreplace) %{rhnconf}/rhncfg-manager.conf
%{_mandir}/man8/rhncfg-manager.8*
%{_mandir}/man8/mgrcfg-manager.8*

%if 0%{?build_py2}
%files -n python2-%{name}-management
%defattr(-,root,root,-)
%{python_sitelib}/config_management
%{_bindir}/rhncfg-manager-%{python_version}
%endif

%if 0%{?build_py3}
%files -n python3-%{name}-management
%defattr(-,root,root,-)
%{python3_sitelib}/config_management
%{_bindir}/rhncfg-manager-%{python3_version}
%endif

%files actions
%defattr(-,root,root,-)
%{_bindir}/mgr-actions-control
%{_bindir}/rhn-actions-control
%config(noreplace) %{client_caps_dir}/*
%{_mandir}/man8/rhn-actions-control.8*
%{_mandir}/man8/mgr-actions-control.8*
%ghost %attr(600,root,root) %{_localstatedir}/log/rhncfg-actions

%if 0%{?build_py2}
%files -n python2-%{name}-actions
%defattr(-,root,root,-)
%dir %{python_sitelib}/rhn
%{python_sitelib}/rhn/actions
%{_bindir}/rhn-actions-control-%{python_version}
%if 0%{?suse_version}
%dir %{python_sitelib}/rhn
%endif
%endif

%if 0%{?build_py3}
%files -n python3-%{name}-actions
%defattr(-,root,root,-)
%dir %{python3_sitelib}/rhn
%{python3_sitelib}/rhn/actions
%{_bindir}/rhn-actions-control-%{python3_version}
%if 0%{?suse_version}
%dir %{python3_sitelib}/rhn
%endif
%endif

%changelog
* Wed Jan 27 2021 jgonzalez@suse.com
- version 4.2.2-1
- SPEC: Updated Python definitions for RHEL8 and quoted text comparisons.
* Fri Sep 18 2020 jgonzalez@suse.com
- version 4.2.1-1
- Update package version to 4.2.0
* Wed Mar 11 2020 jgonzalez@suse.com
- version 4.1.2-1
- Remove commented code in test files
* Wed Nov 27 2019 jgonzalez@suse.com
- version 4.1.1-1
- replace spacewalk-usix with uyuni-common-libs
- Bump version to 4.1.0 (bsc#1154940)
- Obsolete all old python2-rhncfg* packages to avoid conflicts (bsc#1152290)
- Fix data type issue to correctly decode if needed (bsc#1150320)
- Add mgr manpage links
- Require mgr-daemon (new name of spacewalksd) so we systems with
  spacewalksd get always the new package installed (bsc#1149353)
* Wed Jul 31 2019 jgonzalez@suse.com
- version 4.0.9-1
- Ensure bytes type when using hashlib to avoid traceback (bsc#1138822)
* Wed May 15 2019 jgonzalez@suse.com
- version 4.0.8-1
- Obsolete newer versions of rhncfg
* Wed May 15 2019 jgonzalez@suse.com
- version 4.0.7-1
- SPEC cleanup
- Fix wrong bugzilla entry at changelog
* Mon Apr 22 2019 jgonzalez@suse.com
- version 4.0.6-1
- Fix build for non SUSE/openSUSE distributions
* Mon Apr 22 2019 jgonzalez@suse.com
- version 4.0.5-1
- create client tools compat links also for non-SUSE systems
  (bsc#1131408)
- Add makefile and configuration for pylint
* Wed Feb 27 2019 jgonzalez@suse.com
- version 4.0.4-1
- Sync with Spacewalk
- make filemod more readable
- 1665858 - diff expects string not bytes
* Mon Dec 17 2018 jgonzalez@suse.com
- version 4.0.3-1
- Fix python2 compilation on openSUSE
* Fri Oct 26 2018 jgonzalez@suse.com
- version 4.0.2-1
- use rpm for debian packaging
* Fri Aug 10 2018 jgonzalez@suse.com
- version 4.0.1-1
- Bump version to 4.0.0 (bsc#1104034)
- Rename package to mgr-cfg to allow version 4.0.0 (bsc#1104034)
- Fix copyright for the package specfile (bsc#1103696)
* Wed May 23 2018 jgonzalez@suse.com
- version 5.10.122.2-1
- format the file mode in unified way(bsc#1093529)
* Mon Mar 26 2018 jgonzalez@suse.com
- version 5.10.122.1-1
- Sync with upstream (bsc#1083294)
- Build python2 packages on SUSE systems
* Mon Mar  5 2018 jgonzalez@suse.com
- version 5.10.121.2-1
- remove empty clean section from spec (bsc#1083294)
* Fri Feb 23 2018 jgonzalez@suse.com
- version 5.10.121.1-1
- Sync with upstream
* Fri Feb  2 2018 jgonzalez@suse.com
- version 5.10.119.2-1
- Improve webui for comparing files (bsc#1076201)
* Wed Jan 17 2018 jgonzalez@suse.com
- version 5.10.119.1-1
- Fix update mechanism when updating the updateservice (bsc#1073619)
- Add --config option to rhncfg-manager and rhncfg-client
- Add better handling of interrupted system calls
* Fri Nov 10 2017 mc@suse.de
- version 5.10.117.1-1
- rhncfg: add missing dirs to filelist
* Thu Oct 26 2017 mc@suse.de
- version 5.10.116.1-1
- move files into proper python2/python3 subpackages
- store output in the action file so partial output can arrive to server
- print different message if file does not exist
- print a name of file which does not exist during diff
- tell user which file differs
- add password config option to rhncfg-manager
- execute remote commands in clean environment
* Tue May 23 2017 mc@suse.de
- version 5.10.103.2-1
- Add password config option to rhncfg-manager.
- require rhnlib version with i18n module (bsc#1038483)
* Wed May  3 2017 michele.bologna@suse.com
- version 5.10.103.1-1
* Fri Mar 31 2017 mc@suse.de
- version 5.10.102.2-1
- fix missing import in rhncfg
* Tue Mar  7 2017 mc@suse.de
- version 5.10.102.1-1
- Updated links to github in spec files
- Symlink target overwritten when the symlink is replaced by a file
  managed by rhncfg-client
- require spacewalk-usix indead of spacewalk-backend-usix
* Wed Jan 11 2017 michele.bologna@suse.com
- version 5.10.100.1-1
- Version bump to 5.10.100
* Mon Mar 21 2016 mc@suse.de
- version 5.10.88.2-1
- fix file permissions (bsc#970550)
* Wed Mar  2 2016 mc@suse.de
- version 5.10.88.1-1
- fixing removing of temporary files during transaction rollback for
  rhncfg-manager.
- fixing removing directories which rhncfg-manager didn't create.
* Mon Nov 30 2015 mc@suse.de
- version 5.10.87.1-1
- python 2.4 compatibility
- remove temporary files when exception occurs
* Wed Oct  7 2015 mc@suse.de
- version 5.10.85.1-1
- make rhncfg support sha256 and use it by default
- fix for assigning all groups user belongs to running process
- show server modified time with rhncfg-client diff
* Tue Mar 31 2015 mc@suse.de
- version 5.10.65.11-1
- fix config diff - Avoid addition of None and str (bsc#920897)
* Tue Feb  3 2015 mc@suse.de
- version 5.10.65.10-1
- Normalize path sooner
- Fix directory creation
- Getting rid of Tabs and trailing spaces
* Thu Dec  4 2014 mc@suse.de
- version 5.10.65.9-1
- fix compare config files by checking permissions on the
  correct file (bsc#900498)
* Fri Nov  7 2014 mc@suse.de
- version 5.10.65.8-1
- fix errror in rhncfg if selinux off
* Fri Sep 12 2014 mc@suse.de
- version 5.10.65.7-1
- validate the content of config files before deploying
* Wed Sep  3 2014 ro@suse.de
- sanitize release line in specfile
* Mon Sep  1 2014 mc@suse.de
- version 5.10.65.6-1
- Avoid traceback with a configfiles upload action with no selinux context
- make webui config dir diff work
- ensure webui config file diff looks at owner and permissions
- make sure webui doesn't say there are diffs if there aren't
* Tue Jun 17 2014 jrenner@suse.de
- version 5.10.65.5-1
- list/elist: allow to specify list of files
* Tue May  6 2014 mc@suse.de
- version 5.10.65.4-1
- fix for assigning all groups user belongs to running process
* Thu Apr 10 2014 mc@suse.de
- version 5.10.65.3-1
- fix uncaught exception in config deploy (bnc#871549)
* Thu Apr 10 2014 mc@suse.de
- fix release in specfile for SLE12 (bnc#872970)
* Thu Mar 27 2014 fcastelli@suse.com
- version 5.10.65.2-1
- show server modified time with rhncfg-client diff
* Mon Dec  9 2013 mc@suse.de
- version 5.10.65.1-1
- switch to 2.1
* Wed Aug 21 2013 mc@suse.de
- version 5.10.27.12-1
- rhncfg-* --server-name now overwrites rhncfg-*.conf
- unicode support for Remote Command scripts
* Wed Jun 12 2013 mc@suse.de
- version 5.10.27.11-1
- make diffs initiated from another spacewalk server obey
  display_diff config option
* Mon Apr 22 2013 mc@suse.de
- version 5.10.27.10-1
- simplify rhncfg API (bnc#815460)
* Fri Feb  8 2013 mc@suse.de
- version 5.10.27.9-1
- Fix Web UI config diff, which always shows 'binary files differ'
- make rhncfg diff output configurable
* Mon Oct 15 2012 mc@suse.de
- version 5.10.27.8-1
- recompile python files only on SUSE
* Fri Sep 28 2012 mc@suse.de
- version 5.10.27.7-1
- precompile python code to prevent verification issues (bnc#776356)
- If there's symlink in file deployment path it will be created
* Mon Jul 16 2012 ug@suse.de
- version 5.10.27.6-1
- check symlink not target file existence
- value of selinux context is important
* Thu Jun 21 2012 jrenner@suse.de
- version 5.10.27.5-1
* Sun Jun 17 2012 mc@suse.de
- fixed insecure permissions used for /var/log/rhncfg-actions file
  CVE-2012-2679 (bnc#766148)
* Thu May 31 2012 mc@suse.de
- version 5.10.27.4-1
- fixed command synopsis
* Mon May 14 2012 mc@suse.de
- version 5.10.27.3-1
- honor rhncfg-specific settings
* Fri Apr 27 2012 mc@suse.de
- version 5.10.27.2-1
- accept server name without protocol
* Wed Mar 21 2012 mc@suse.de
- version 5.10.27.1-1
- Bumping package version
* Thu Nov  3 2011 ma@suse.de
- Adapt dependencies to renamed packages (bnc#722052)
* Thu Sep 15 2011 mc@suse.de
- do not require selinux on SLES10
* Mon May 16 2011 iartarisi@suse.cz
- fix staticmethod Syntax Error on systems with python < 2.4 (e.g. RHEL4) (bnc#694028)
* Mon May 16 2011 iartarisi@suse.cz
- fix usage documentation messages for topdir and dest-file (bnc#684390)
* Fri Mar 18 2011 iartarisi@suse.cz
- pulled a few commits from the master branch to fix bnc#679716 and a
  more general problem we had with uploading config files without a
  SELinux context
* Thu Mar 17 2011 mc@suse.de
- debrand rhncfg-manager (bnc#678489)
* Sun Jan 30 2011 mc@suse.de
- backport upstrem fixes
* Mon Jan 17 2011 mantel@suse.de
- add mgr-* symlinks (BNC #660789)
* Wed Nov  3 2010 mantel@suse.de
- fix %%dir in filelist
* Tue Nov  2 2010 mantel@suse.de
- don't ignore post-build-checks
* Wed Sep 15 2010 mantel@suse.de
- fix post-build-checks
* Tue Sep 14 2010 mantel@suse.de
- Initial release of rhncfg
